//
//  AppDelegate.m
//  UI3_程序启动流程
//
//  Created by YIem on 15/12/9.
//  Copyright (c) 2015年 www.yiem.net YIem博客. All rights reserved.
//

#import "AppDelegate.h"

@interface AppDelegate ()<UITextFieldDelegate>

@end

@implementation AppDelegate
- (void) dealloc
{
    [_window release];
    [super dealloc];
}

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    self.window.backgroundColor = [UIColor whiteColor];
    [self.window makeKeyAndVisible];
#if 1
    /***
     * Main函数作用
     * 1.创建应用对象(UIApplication)
     * 2.创建应用代理(AppDelegate)
     * 3.创建事件循环(时刻响应手机事件)
     
     ***/
    
    
    //****** 键盘回收
    UITextField *text1 = [[UITextField alloc]initWithFrame:CGRectMake(100, 100, 100, 50)];
    text1.borderStyle = UITextBorderStyleRoundedRect;
    text1.tag = 1000;
    text1.delegate = self;
    [self.window addSubview:text1];
    [text1 release];
    UITextField *text2 = [[UITextField alloc]initWithFrame:CGRectMake(100, 600, 100, 50)];text2.borderStyle = UITextBorderStyleRoundedRect;
    text2.tag = 2000;
    text2.delegate = self;
    [self.window addSubview:text2];
    [text2 release];
    
    
    
    NSLog(@"%s", __FUNCTION__);
    
    
#endif
#if 0
    
    
#endif
    
    
    
    
    
    
    
    
    
    
    
    
    
    [_window release];
    return YES;
}
////键盘return被按下时 触发该方法
- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    NSLog(@"参数: %@", textField);
    // 回收键盘原理 失去第一向应者
 //   [textField resignFirstResponder];
    // 第一个键盘中的光标 跳转的第二个输入框 最后一个输入框回收键盘
    if (textField.tag == 1000) {
        // 输入框一失去第一向应
        [textField resignFirstResponder];
        // 输入框二成为第一向应
        [[self.window viewWithTag:2000]becomeFirstResponder];
    } else {
        [textField resignFirstResponder];
    }
    
    
    return YES;
}
//// textField开始编辑时 触发方法
- (BOOL)textFieldShouldBeginEditing:(UITextField *)textField
{
    // 向上移动屏幕
    if (textField.tag == 2000) {
        
        self.window.center = CGPointMake(self.window.center.x, self.window.center.y - 250);
        
    }
    return YES;
}
//// 结束编辑
- (void)textFieldDidEndEditing:(UITextField *)textField
{
    // 向下移动
    if (textField.tag == 2000) {
        
        self.window.center = CGPointMake(self.window.center.x, self.window.center.y + 250);
        
    }
    
}


- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
    NSLog(@"%s", __FUNCTION__);
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
    NSLog(@"%s", __FUNCTION__);
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
    NSLog(@"%s", __FUNCTION__);
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
    NSLog(@"%s", __FUNCTION__);
}

- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    NSLog(@"%s", __FUNCTION__);
}

@end
